/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IColorPickerProps } from './ColorPicker.types';
import { IColor } from '../../utilities/color/colors';
export interface IColorPickerState {
    isOpen: boolean;
    color: IColor;
}
export declare class ColorPickerBase extends BaseComponent<IColorPickerProps, IColorPickerState> {
    static defaultProps: {
        hexLabel: string;
        redLabel: string;
        greenLabel: string;
        blueLabel: string;
        alphaLabel: string;
    };
    private _hexText;
    private _rText;
    private _gText;
    private _bText;
    private _aText;
    constructor(props: IColorPickerProps);
    componentWillReceiveProps(newProps: IColorPickerProps): void;
    render(): JSX.Element;
    private _onSVChanged;
    private _onHChanged;
    private _onAChanged;
    private _onHexChanged;
    private _onRGBAChanged;
    private _updateColor(newColor?);
}
