/// <reference types="react" />
import * as React from 'react';
import { BaseComponent } from '../../Utilities';
import { IPanel, IPanelProps } from './Panel.types';
export interface IPanelState {
    isFooterSticky?: boolean;
    isOpen?: boolean;
    isAnimating?: boolean;
    id?: string;
}
export declare class PanelBase extends BaseComponent<IPanelProps, IPanelState> implements IPanel {
    static defaultProps: IPanelProps;
    private _panel;
    private _content;
    private _classNames;
    private _scrollableContent;
    constructor(props: IPanelProps);
    componentDidMount(): void;
    componentDidUpdate(previousProps: IPanelProps): void;
    componentWillReceiveProps(newProps: IPanelProps): void;
    render(): JSX.Element | null;
    open(): void;
    dismiss: (ev?: React.SyntheticEvent<HTMLElement> | undefined) => void;
    private _allowScrollOnPanel;
    private _shouldListenForOuterClick(props);
    private _onRenderNavigation;
    private _onRenderHeader;
    private _onRenderBody;
    private _onRenderFooter;
    private _updateFooterPosition();
    private _dismissOnOuterClick(ev);
    private _onPanelClick;
    private _onTransitionComplete;
}
